Subject: bug#8743: Strange '1; 2600; 0' symbols appear when running in gnome-terminal

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 27 Jan 2022 20:02:08 +0100

Eli Zaretskii <[email-masked]> writes:

> See xterm--version-handler, I think this comes from there.

Yes, or possibly something else doing queries; I'm not quite sure.  But
poking at the stuff, if we disable all the queries, the problem goes
away.  

(defun xterm--query (query handlers &optional no-async)
[...]
      ;; Pending input can be mistakenly returned by the calls to
      ;; read-event below: discard it.
      (discard-input)
      (send-string-to-terminal query)

And it seems like it's trying to do the right thing by getting rid of
any input before doing the queries, but the `discard-input' here seems
to have no effect.

(I haven't debugged further.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no